summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoe Buck <jbbuck@gmail.com>2013-02-14 15:13:39 -0800
committerJoe Buck <jbbuck@gmail.com>2013-02-19 08:36:36 -0800
commitb45f67e0b555e46eef075b1b7f2d7ed015254ad0 (patch)
treebcc4adf265b3d3cb8689c32c44bd7162eeb805a9
parentd2dbab1f4f3d5aaeb174cd7483cba37ebcb3d6f7 (diff)
downloadceph-b45f67e0b555e46eef075b1b7f2d7ed015254ad0.tar.gz
test: correcting hadoop-internal tests
Changing the hadoop-internal tests to use the newly added $TESTDIR environment variable. Also, removed unneeded variables. Signed-off-by: Joe Buck <jbbuck@gmail.com> Reviewed-by: Sam Lang <sam.lang@inktank.com>
-rwxr-xr-xqa/workunits/hadoop-internal-tests/test.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/qa/workunits/hadoop-internal-tests/test.sh b/qa/workunits/hadoop-internal-tests/test.sh
index 017a0bd411b..5b84761dee4 100755
--- a/qa/workunits/hadoop-internal-tests/test.sh
+++ b/qa/workunits/hadoop-internal-tests/test.sh
@@ -1,13 +1,12 @@
#!/bin/sh -e
-BASE=/tmp/cephtest
-TLIB=binary/usr/local/lib
-
echo "starting hadoop-internal-tests tests"
-export LD_LIBRARY_PATH=$BASE/$TLIB
-command1="cd $BASE/hadoop"
-command2="ant -Dextra.library.path=$BASE/$TLIB -Dceph.conf.file=$BASE/ceph.conf test -Dtestcase=TestCephFileSystem"
+# bail if $TESTDIR is not set as this test will fail in that scenario
+[ -z $TESTDIR] && { echo "\$TESTDIR needs to be set, but is not. Exiting."; exit 1; }
+
+command1="cd $TESTDIR/hadoop"
+command2="ant -Dextra.library.path=$LD_LIBRARY_PATH -Dceph.conf.file=$CEPH_CONF -Dtestcase=TestCephFileSystem"
#print out the command
echo "----------------------"